Back
Article 1026, updated June 12, 2013    

Browser and Flash Requirements

Browser and Flash System Requirements for the full desktop site of Safari Books Online.

Details

Browser and Flash Requirements

Safari Books Online uses Flash and requires Flash version 10 or above, and the following browsers and Operating Systems:

Browser Operating System            
Internet Explorer, Versions 8 or newer Windows: XP, Vista, 7, 8
Firefox, Version 12.0 or newer Windows: XP, Vista, 7, 8
Mac:  Snow Leopard or newer
Linux v2.6 plus
Safari, Version 5.1 or newer Windows: XP, Vista, 7, 8
Mac: Snow Leopard or newer

Chrome, Version 19 or newer
 
Windows: XP, Vista, 7, 8
Mac: Snow Leopard or newer

Note regarding browser extensions and add-ons:  You may need to disable third party extensions which may be running in your browser. If you are having trouble getting Safari Books Online to work properly, disable all add-ons and extensions before using Safari Books Online.

Security information: The browser you are using must support 128-bit encryption in order to function with Safari. Each of the browsers listed above do support 128 bit encryption. 

Safari Books Online does NOT support beta versions of any browser. If you are using a beta browser and Safari is not working correctly, please change to one of the generally released browsers listed above.





Copyright 2017 Safari Books Online. All rights reserved.